Get the storefront Rate Card offer and binding state
curl --request GET \
--url https://api.interchange.io/api/v2/billing/storefront-rate-card \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/billing/storefront-rate-card"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/billing/storefront-rate-card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"billingCustomerId": 4503599627370496,
"eligible": true,
"offer": {
"offerVersion": "<string>",
"rateCard": {
"id": "<string>",
"name": "<string>",
"publicVersion": "<string>",
"effectiveDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z"
},
"agreement": {
"contractId": "<string>",
"agreementDocumentId": "<string>",
"tosVersion": "<string>",
"termsUrl": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z"
},
"discount": {
"authorizationId": "<string>",
"basisPoints": 5000,
"percent": 49.995,
"effectiveDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
},
"serviceStart": "ON_ACCEPTANCE",
"initialTermMonths": 1,
"plans": [
{
"id": "<string>",
"planCode": "<string>",
"displayName": "<string>",
"displayOrder": 4503599627370495,
"includedIus": 4503599627370495,
"billingPeriodMonths": 1,
"commitmentBillingTiming": "PERIOD_START",
"usageBillingTiming": "PERIOD_END",
"resetInterval": "MONTH",
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370496,
"pricing": {
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495
}
}
],
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"displayName": "<string>",
"commercialOfferId": "<string>",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
}
}
},
"currentBinding": {
"id": "<string>",
"acceptingCustomerId": 4503599627370496,
"contractId": "<string>",
"agreementDocumentId": "<string>",
"tosVersion": "<string>",
"rateCardId": "<string>",
"rateCardPublicVersion": "<string>",
"planId": "<string>",
"planCode": "<string>",
"planName": "<string>",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountAuthorizationId": "<string>",
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370496,
"acceptedByUserId": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"displayName": "<string>",
"commercialOfferId": "<string>",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
}
}
},
"upcomingBinding": null,
"history": [
{
"id": "<string>",
"acceptingCustomerId": 4503599627370496,
"contractId": "<string>",
"agreementDocumentId": "<string>",
"tosVersion": "<string>",
"rateCardId": "<string>",
"rateCardPublicVersion": "<string>",
"planId": "<string>",
"planCode": "<string>",
"planName": "<string>",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountAuthorizationId": "<string>",
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370496,
"acceptedByUserId": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"displayName": "<string>",
"commercialOfferId": "<string>",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
}
}
}
],
"renewal": {
"version": "<string>",
"targetBindingId": "<string>",
"effectiveFreeAt": "2023-11-07T05:31:56Z",
"changeAllowedUntil": "2023-11-07T05:31:56Z",
"allowedActions": [],
"latestInstruction": {
"id": "<string>",
"bindingId": "<string>",
"supersedesInstructionId": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"changeCutoffAt": "2023-11-07T05:31:56Z",
"actorUserId": "<string>",
"reason": "<string>",
"recordedAt": "2023-11-07T05:31:56Z"
},
"history": [
{
"id": "<string>",
"bindingId": "<string>",
"supersedesInstructionId": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"changeCutoffAt": "2023-11-07T05:31:56Z",
"actorUserId": "<string>",
"reason": "<string>",
"recordedAt": "2023-11-07T05:31:56Z"
}
]
},
"setupGrant": {
"grantedIus": 500000,
"rolloverEnabled": false,
"grantedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
},
"latestDisposition": {
"id": "<string>",
"planId": "<string>",
"planCode": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront Billing
Get the storefront Rate Card offer and binding state
Returns exact effective public storefront plans for an enrolled billing organization, applicable corporate discount and list/net prices, deterministic Free/Paid state, current binding, and immutable history at the organization billing boundary. A pre-ToS direct org admin may read an available offer so pricing can be reviewed alongside the governing agreement; binding history remains readable outside the pilot.
GET
/
billing
/
storefront-rate-card
Get the storefront Rate Card offer and binding state
curl --request GET \
--url https://api.interchange.io/api/v2/billing/storefront-rate-card \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/billing/storefront-rate-card"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/billing/storefront-rate-card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"billingCustomerId": 4503599627370496,
"eligible": true,
"offer": {
"offerVersion": "<string>",
"rateCard": {
"id": "<string>",
"name": "<string>",
"publicVersion": "<string>",
"effectiveDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z"
},
"agreement": {
"contractId": "<string>",
"agreementDocumentId": "<string>",
"tosVersion": "<string>",
"termsUrl": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z"
},
"discount": {
"authorizationId": "<string>",
"basisPoints": 5000,
"percent": 49.995,
"effectiveDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
},
"serviceStart": "ON_ACCEPTANCE",
"initialTermMonths": 1,
"plans": [
{
"id": "<string>",
"planCode": "<string>",
"displayName": "<string>",
"displayOrder": 4503599627370495,
"includedIus": 4503599627370495,
"billingPeriodMonths": 1,
"commitmentBillingTiming": "PERIOD_START",
"usageBillingTiming": "PERIOD_END",
"resetInterval": "MONTH",
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370496,
"pricing": {
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495
}
}
],
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"displayName": "<string>",
"commercialOfferId": "<string>",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
}
}
},
"currentBinding": {
"id": "<string>",
"acceptingCustomerId": 4503599627370496,
"contractId": "<string>",
"agreementDocumentId": "<string>",
"tosVersion": "<string>",
"rateCardId": "<string>",
"rateCardPublicVersion": "<string>",
"planId": "<string>",
"planCode": "<string>",
"planName": "<string>",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountAuthorizationId": "<string>",
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370496,
"acceptedByUserId": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"displayName": "<string>",
"commercialOfferId": "<string>",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
}
}
},
"upcomingBinding": null,
"history": [
{
"id": "<string>",
"acceptingCustomerId": 4503599627370496,
"contractId": "<string>",
"agreementDocumentId": "<string>",
"tosVersion": "<string>",
"rateCardId": "<string>",
"rateCardPublicVersion": "<string>",
"planId": "<string>",
"planCode": "<string>",
"planName": "<string>",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountAuthorizationId": "<string>",
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370496,
"acceptedByUserId": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"displayName": "<string>",
"commercialOfferId": "<string>",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
}
}
}
],
"renewal": {
"version": "<string>",
"targetBindingId": "<string>",
"effectiveFreeAt": "2023-11-07T05:31:56Z",
"changeAllowedUntil": "2023-11-07T05:31:56Z",
"allowedActions": [],
"latestInstruction": {
"id": "<string>",
"bindingId": "<string>",
"supersedesInstructionId": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"changeCutoffAt": "2023-11-07T05:31:56Z",
"actorUserId": "<string>",
"reason": "<string>",
"recordedAt": "2023-11-07T05:31:56Z"
},
"history": [
{
"id": "<string>",
"bindingId": "<string>",
"supersedesInstructionId": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"changeCutoffAt": "2023-11-07T05:31:56Z",
"actorUserId": "<string>",
"reason": "<string>",
"recordedAt": "2023-11-07T05:31:56Z"
}
]
},
"setupGrant": {
"grantedIus": 500000,
"rolloverEnabled": false,
"grantedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
},
"latestDisposition": {
"id": "<string>",
"planId": "<string>",
"planCode": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}⌘I